## SmillaEnlarger as a Command Line Tool

SmillaEnlarger can also be used from the command line.

Windows users have to call SmillaEnlargerCL.exe instead of SmillaEnlarger.exe .

Mac users have to use the binary deep inside the SmillaEnlarger.app bundle. To create a symbolic link to the binary, open a terminal window, change to the directory you want to put your link and call

`ln -s /Path/to/SmillaEnlarger.app/Contents/MacOS/SmillaEnlarger`

with the appropriate path to your SmillaEnlarger.
To prevent lengthy path-typing, simply write `ln -s` into the terminal, then go to your SmillaEnlarger icon, option-click onto it and open the application bundle.
Go into the subfolder Contents/MacOS/, inside you will find the SmillaEnlarger binary, grab it with the mouse and drop it onto the terminal window, the terminal then will fill in the full path to the binary.

Usage of SmillaEnlarger:

`SmillaEnlarger [ < sourcename > ] [ -options... ]`

with options
`-z <number> / -zoom <number>`
Set zoom-factor to <number> percent ( integer value ).
`-o <filename>`
Write result to file <filename> .
`-saveto <foldername>`
Write results into folder <foldername> .

Output Dimensions:
`-width <sizex> and -height <sizey>`
set size of resulting image.
If both width and height are given, aspect ratio is changed by default. Additionally, if you have set -width AND -height , you can set one of the following options:
`-fit`
Fit output inside the given rectangle.
`-fitandbars`
Fit output inside the given rectangle,
fill up with black margins.
`-cover`
Cover the given rectangle.
`-coverandcrop`
Cover the given rectangle, cut away the overlapping parts.

Enlarge Parameters:
`-sharp < n >, -flat < n >, -dither < n >`
`-deNoise < n >, -preSharp < n >, -fNoise < n >`
Set the enlarge parameters with integer numbers < n > between 0 and 100.

`-quality <number>`
Set image quality of the result.
`-h / -help`
Print this help.
`-i`
Start in interactive mode.